Bio::MAGETAB::Assay(3)

NAME
Bio::MAGETAB::Assay - MAGE-TAB assay class

SYNOPSIS
 use Bio::MAGETAB::Assay;

DESCRIPTION
This class is used to store information about assays in MAGE-TAB. This is a generic class which can represent any assay type, specified via its technologyType attribute. Assays which specifically represent hybridization events should use a 'hybridization' ControlledTerm as their technologyType and should also link to an ArrayDesign. See the Event class for superclass methods.

ATTRIBUTES

technologyType (required)
    The type of assay that was performed (hybridization, rtPCR, etc.; data type: Bio::MAGETAB::ControlledTerm).

arrayDesign (optional)
    The array design associated with the assay. Typically this will only be used for hybridization Assays (data type: Bio::MAGETAB::ArrayDesign)

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::Event

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).